Subject: Re: bug#24500: 25.1.50; Can't other-window from minibuffer if Ediff control panel frame present

From: martin rudalics <[email-masked]>
Date: Tue, 04 Oct 2016 08:49:29 +0200

> Right. And the behaviour towards the end of the video, where clicking on
 > the title bars doesn't affect the window where typed characters are inserted:
 > do you see the same thing there as well?

No.  I can't reproduce that.  It seems to make the previous frame sort
of a modal window - something I experience with Emacs only when asking a
‘yes-or-no-p’ question.

 >> I'd still want to see comments from other Windows users on this.  Can
 >> you provide a scenario people can test on an unpatched emacs -Q where
 >>
 >> (make-frame '((minibuffer . nil)))
 >>
 >> followed by M-x in the new frame doesn't allow switching frames via
 >> Alt-Tab or mouse clicks as long as the minibuffer is active?  We need a
 >> third opinion on this.
 >
 > No, I haven't noticed such a scenario.

So we can consider my patch to frame.c the culprit for the misbehavior
you observe.  Or at least the "greater freedom" it provides.

 > OK. I was wondering if some setting or third-party tool could explain the
 > differences between what you and I were seeing, but if there is no difference
 > after all (?) then it's not worth thinking about.

It's possible that some of my settings or tools affect this.  That's why
it would have been interesting to hear a few more comments ...

martin